Package org.apache.sling.cpconverter.maven.mojos

# Class AbstractBaseMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.sling.cpconverter.maven.mojos.AbstractBaseMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

Direct Known Subclasses:
  `ConvertCPMojo`, `ConvertPMMojo`

public abstract class AbstractBaseMojo extends org.apache.maven.plugin.AbstractMojo

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.apache.maven.artifact.handler.manager.ArtifactHandlerManager`
`artifactHandlerManager`
`protected org.apache.maven.shared.transfer.artifact.install.ArtifactInstaller`
`installer`
`protected org.apache.maven.execution.MavenSession`
`mavenSession`
`protected org.apache.maven.project.MavenProject`
`project`
`protected org.apache.maven.project.MavenProjectHelper`
`projectHelper`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractBaseMojo()`

## Method Summary

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.plugin.Mojo

`execute`

## Field Details

### project

@Parameter(property="project", readonly=true, required=true) protected org.apache.maven.project.MavenProject project

### mavenSession

@Parameter(property="session", readonly=true, required=true) protected org.apache.maven.execution.MavenSession mavenSession

### artifactHandlerManager

@Component protected org.apache.maven.artifact.handler.manager.ArtifactHandlerManager artifactHandlerManager

### projectHelper

@Component protected org.apache.maven.project.MavenProjectHelper projectHelper

### installer

@Component protected org.apache.maven.shared.transfer.artifact.install.ArtifactInstaller installer

## Constructor Details

### AbstractBaseMojo

public AbstractBaseMojo()